## ros-indigo-sr-standalone 1.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(sr_standalone)
find_package(catkin REQUIRED COMPONENTS
    sr_hand
    sr_robot_msgs
    sensor_msgs
    std_msgs
    pr2_mechanism_msgs
    roscpp
)
include_directories(include ${catkin_INCLUDE_DIRS})

catkin_package(
    DEPENDS
    CATKIN_DEPENDS
        sr_hand
        sr_robot_msgs
        sensor_msgs
        std_msgs
        pr2_mechanism_msgs
        roscpp
    INCLUDE_DIRS include
    LIBRARIES sr_standalone
)

add_library(sr_standalone src/shadow_hand.cpp src/sr_ros_wrapper.cpp)
target_link_libraries(sr_standalone ${catkin_LIBRARIES})
add_dependencies(sr_standalone ${catkin_EXPORTED_TARGETS})

install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
   FILES_MATCHING PATTERN "*.hpp"
)

install(TARGETS sr_standalone
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

=== debian/changelog ===
ros-indigo-sr-standalone (1.4.0-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Mon, 06 Apr 2015 23:00:00 -0000

ros-indigo-sr-standalone (1.3.1-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Thu, 17 Jul 2014 23:00:00 -0000

ros-indigo-sr-standalone (1.3.0-0trusty) trusty; urgency=high

  * first hydro release

 -- Shadow Robot's software team <software@shadowrobot.com>  Tue, 11 Feb 2014 00:00:00 -0000

=== debian/control ===
Source: ros-indigo-sr-standalone
Section: misc
Priority: extra
Maintainer: Shadow Robot's software team <software@shadowrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-pr2-mechanism-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-sr-hand, ros-indigo-sr-robot-msgs, ros-indigo-std-msgs
Homepage: http://ros.org/wiki/sr_ros_interface
Standards-Version: 3.9.2

Package: ros-indigo-sr-standalone
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-pr2-mechanism-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-sr-hand, ros-indigo-sr-robot-msgs, ros-indigo-std-msgs
Description: sr_standalone is a wrapper allowing shadow_robot to be used from outside of ROS (with ROS installed on the system)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-sr-standalone//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
